Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class JRStyledTextParser

    java.lang.Object
      net.sf.jasperreports.engine.util.JRStyledTextParser

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

    public class JRStyledTextParser

extends java.lang.Object
implements org.xml.sax.ErrorHandler

Version:
  $Id: JRStyledTextParser.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`JRStyledTextParser()` Deprecated. Replaced by `getInstance()`.

Method Summary
`void` | `error(org.xml.sax.SAXParseException e)`
`void` | `fatalError(org.xml.sax.SAXParseException e)`
`static JRStyledTextParser` | `getInstance()` Return a cached instance.
`static java.util.Locale` | `getLocale()`
`JRStyledText` | `getStyledText(java.util.Map parentAttributes, java.lang.String text, boolean isStyledText)` Deprecated. Replaced by `getStyledText(Map, String, boolean, Locale)`.
`JRStyledText` | `getStyledText(java.util.Map parentAttributes, java.lang.String text, boolean isStyledText, java.util.Locale locale)` Creates a styled text object by either parsing a styled text String or by wrapping an unstyled String.
`JRStyledText` | `parse(java.util.Map attributes, java.lang.String text)` Deprecated. Replaced by `parse(Map, String, Locale)`.
`JRStyledText` | `parse(java.util.Map attributes, java.lang.String text, java.util.Locale locale)`
`static void` | `setLocale(java.util.Locale locale)`
`void` | `warning(org.xml.sax.SAXParseException e)`
`java.lang.String` | `write(JRStyledText styledText)` Outputs a styled text String given a styled text instance.
`java.lang.String` | `write(JRStyledText styledText, int startIndex, int endIndex)` Outputs the String representation of a styled text chunk.
`java.lang.String` | `write(java.util.Map parentAttrs, java.text.AttributedCharacterIterator iterator, java.lang.String text)` Outputs a styled text String given a set of element-level styled text attributes and a styled text in the form of a String text and an iterator of style attributes.
`void` | `writeChunk(java.lang.StringBuffer sbuffer, java.util.Map parentAttrs, java.util.Map attrs, java.lang.String chunk)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRStyledTextParser

    public JRStyledTextParser()

  Deprecated. Replaced by `getInstance()`.

Method Detail

### getInstance

    public static JRStyledTextParser getInstance()

  Return a cached instance.

  Returns:
    a cached instance

### setLocale

    public static void setLocale(java.util.Locale locale)

### getLocale

    public static java.util.Locale getLocale()

### parse

    public JRStyledText parse(java.util.Map attributes,
                              java.lang.String text)
                       throws org.xml.sax.SAXException

  Deprecated. Replaced by `parse(Map, String, Locale)`.

  Throws:
    `org.xml.sax.SAXException`

### parse

    public JRStyledText parse(java.util.Map attributes,
                              java.lang.String text,
                              java.util.Locale locale)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getStyledText

    public JRStyledText getStyledText(java.util.Map parentAttributes,
                                      java.lang.String text,
                                      boolean isStyledText)

  Deprecated. Replaced by `getStyledText(Map, String, boolean, Locale)`.

### getStyledText

    public JRStyledText getStyledText(java.util.Map parentAttributes,
                                      java.lang.String text,
                                      boolean isStyledText,
                                      java.util.Locale locale)

  Creates a styled text object by either parsing a styled text String or by wrapping an unstyled String.

  Parameters:
    `parentAttributes` - the element-level styled text attributes
    `text` - the (either styled or unstyled) text
    `isStyledText` - flag indicating that the text is styled
    `locale` - the locale for the text
  Returns:
    a styled text object

### write

    public java.lang.String write(JRStyledText styledText)

  Outputs a styled text String given a styled text instance.

  Parameters:
    `styledText` - the styled text object
  Returns:
    the String styled text representation

### write

    public java.lang.String write(java.util.Map parentAttrs,
                                  java.text.AttributedCharacterIterator iterator,
                                  java.lang.String text)

  Outputs a styled text String given a set of element-level styled text attributes and a styled text in the form of a String text and an iterator of style attributes.

  Parameters:
    `parentAttrs` - the element-level styled text attributes
    `iterator` - iterator of styled text attributes
    `text` - the text
  Returns:
    the String styled text representation

### write

    public java.lang.String write(JRStyledText styledText,
                                  int startIndex,
                                  int endIndex)

  Outputs the String representation of a styled text chunk.

  Parameters:
    `styledText` - the styled text
    `startIndex` - the start index
    `endIndex` - the end index
  Returns:
    the String styled text representation of the chunk delimited by the start index and the end index
  See Also:
    `write(Map, AttributedCharacterIterator, String)`

### writeChunk

    public void writeChunk(java.lang.StringBuffer sbuffer,
                           java.util.Map parentAttrs,
                           java.util.Map attrs,
                           java.lang.String chunk)

### error

    public void error(org.xml.sax.SAXParseException e)

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

### warning

    public void warning(org.xml.sax.SAXParseException e)

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com